﻿using Microsoft.AspNetCore.Mvc;
using System.Net.Mail;

// For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860


namespace DPSAPI.Controllers
{
    [Route("api/[controller]")]
    public class EmailController : Controller
    {
        //Sends email via Microsoft
        [HttpGet("{deviceId}", Name = "Email")]
        public ActionResult alert(int temperature, int pressure, int deviceId, int pressureHigh, int pressureLow)
        {
            SmtpClient SmtpServer = new SmtpClient("smtp.live.com");
            var mail = new MailMessage();
            mail.From = new MailAddress("youremailaddress");
            mail.To.Add("youremailaddress");
            mail.Subject = "Someone has opened your secret door!";
            mail.IsBodyHtml = true;
            string htmlBody;
            htmlBody = "Hello, at " + System.DateTime.Now + " someone opened your secret door #" + deviceId + ".";
            mail.Body = htmlBody;
            SmtpServer.Port = 587;
            SmtpServer.UseDefaultCredentials = false;
            SmtpServer.Credentials = new System.Net.NetworkCredential("youremailaddress", "yourpassword");
            SmtpServer.EnableSsl = true;
            SmtpServer.Send(mail);

            return Content("Device #" + deviceId + " email alert sent.");
        }
    }
}
