﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using DPSAPI.Models;
using Microsoft.AspNetCore.Mvc;


namespace DPSAPI.Controllers
{
    [Route("api/[controller]")]
    public class ValuesController : Controller
    {

        private DPS310Context context = new DPS310Context();

        [HttpGet("{temperature, pressure, deviceId, pressureHigh, pressureLow}", Name = "Dps310")]
        public ActionResult Dps310(int temperature, int pressure, int deviceId, int pressureHigh, int pressureLow)
        {
            System.Diagnostics.Debug.WriteLine("Temperature = " + temperature);
            System.Diagnostics.Debug.WriteLine("Pressure = " + pressure);
            System.Diagnostics.Debug.WriteLine("DeviceId = " + deviceId);

            DPS310Context context = new DPS310Context();
            using (context)
            {
                DPSAPI.Models.Measurement measurement = new DPSAPI.Models.Measurement();
                measurement.Time = System.DateTime.Now;
                measurement.Temperature = temperature;
                measurement.Pressure = pressure;
                measurement.PressureHigh = pressureHigh;
                measurement.PressureLow = pressureLow;
                measurement.DeviceId = deviceId;
                

                //Add to database
                context.Measurement.Add(measurement);
                context.SaveChanges();
            }

            return Content("Device #" + deviceId + " data accepted");
        }


        //// GET api/values
        //[HttpGet]
        //public IEnumerable<string> Get()
        //{
        //    return new string[] { "value1", "value2" };
        //}

        //// GET api/values/5
        //[HttpGet("{id}")]
        //public string Get(int id)
        //{
        //    return "value";
        //}

        //// POST api/values
        //[HttpPost]
        //public void Post([FromBody]string value)
        //{
        //}

        //// PUT api/values/5
        //[HttpPut("{id}")]
        //public void Put(int id, [FromBody]string value)
        //{
        //}

        //// DELETE api/values/5
        //[HttpDelete("{id}")]
        //public void Delete(int id)
        //{
        //}
    }
}
